<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [getUpgradeWarehouseCost](./bitburner.warehouseapi.getupgradewarehousecost.md)

## WarehouseAPI.getUpgradeWarehouseCost() method

Get the cost to upgrade a warehouse to the next level.

**Signature:**

```typescript
getUpgradeWarehouseCost(divisionName: string, city: CityName, amt?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city


</td></tr>
<tr><td>

amt


</td><td>

number


</td><td>

_(Optional)_ Amount of upgrades. Optional. Defaults to 1.


</td></tr>
</tbody></table>

**Returns:**

number

Cost to upgrade

## Remarks

RAM cost: 10 GB

